Bug 183703 - df -l includes network mounts
df -l includes network mounts
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-03-02 17:36 EST by Ken Dahl
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0213
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 18:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Dahl 2006-03-02 17:36:22 EST
Description of problem: df -l does not filter out remote cifs mounts


Version-Release number of selected component (if applicable): coreutils-5.2.1-31.2


How reproducible:
mount a Windows share as a cifs filesystem (not smbfs), and run df -l

Steps to Reproduce:
1. mount.cifs //host.dom.ain/remote/path /local/path -o
ro,credentials=/root/credfile,uid=locuser,gid=locgrp,file_mode=0444,dir_mode=055
2. df -l
  
Actual results:
...
//host.dom.ain/remote/path 27800448   1050816  26749632   4% /local/path

Expected results:
only local filesystems

Additional info:
smbfs filesystems are correctly filtered from output
Comment 1 RHEL Product and Program Management 2006-08-18 12:34:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Red Hat Bugzilla 2007-05-01 18:52:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0213.html

Note You need to log in before you can comment on or make changes to this bug.